# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KABC::VCardFormat Class Reference

Interface of vCard backend for address book. More...

`#include <vcardformat.h>`

Inheritance diagram for KABC::VCardFormat:

[legend]
Collaboration diagram for KABC::VCardFormat:

[legend]
List of all members.

## Public Member Functions

bool | load (AddressBook *, const QString &fileName)
| Load addressbook from file.
bool | save (AddressBook *, const QString &fileName)
| Save addressbook to file.

## Detailed Description

Interface of vCard backend for address book.

This class implements the file format interface of address book entries for the vCard format.

Definition at line 38 of file vcardformat.h.

## Member Function Documentation

bool VCardFormat::load | ( | AddressBook * | ,
|  | const QString & | fileName
| ) | `[virtual]`

| Load addressbook from file. Implements KABC::Format. Definition at line 37 of file vcardformat.cpp. References QFile::close(), KABC::VCardFormatImpl::loadAll(), and QFile::open().

bool VCardFormat::save | ( | AddressBook * | ,
|  | const QString & | fileName
| ) | `[virtual]`

| Save addressbook to file. Implements KABC::Format. Definition at line 49 of file vcardformat.cpp. References QFile::close(), QFile::open(), and KABC::VCardFormatImpl::saveAll().

The documentation for this class was generated from the following files:

- vcardformat.h
- vcardformat.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:29:51 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001